# Interface IMarkerUpdater

All Known Implementing Classes:
  `BasicMarkerUpdater`

public interface IMarkerUpdater
A marker updater is responsible for saving changes to markers. Marker updaters either update markers of a specific types or any type. Also they either assume update responsibility for a specific set of marker attributes or any marker attribute. Marker updater must be registered with an `AbstractMarkerAnnotationModel`.

## Method Summary

Modifier and Type
Method
Description
`String[]`
`getAttribute()`
Returns the attributes for which this updater is responsible.
`String`
`getMarkerType()`
Returns the marker type for which this updater is responsible.
`boolean`
`updateMarker(IMarker marker, IDocument document, Position position)`
Updates the given marker according to the position of the given document.

## Method Details

### getMarkerType

String getMarkerType()
Returns the marker type for which this updater is responsible. If the result is `null`, the updater assumes responsibility for any marker type.

Returns:
  the marker type or `null` for any marker type

### getAttribute

String[] getAttribute()
Returns the attributes for which this updater is responsible. If the result is `null`, the updater assumes responsibility for any attributes.

Returns:
  the attributes or `null` for any attribute

### updateMarker

boolean updateMarker(IMarker marker, IDocument document, Position position)
Updates the given marker according to the position of the given document. If the given position is `null`, the marker is assumed to carry the correct positional information.

Parameters:
  `marker` - the marker to be updated
  `document` - the document into which the given position points
  `position` - the current position of the marker inside the given document
Returns:
  `false` if the updater recognizes that the marker should be deleted